apiVersion: v1 
 
kind: Service 
 
metadata: 
  labels: 
    app: webapp 
  name: webapp-service 
  namespace: myapp 
 
spec: 
  type: LoadBalancer 
 
  ports: 
  - port: 80 
    protocol: TCP 
    targetPort: 8080 
 
  selector: 
    app: webapp
